/*  Copyright 1987 Bart Miller.  All rights reserved.
 *  Explicit permission required to redistributed this software.
 */

#include <stdio.h>

main (argc, argv)
    int argc;
    char *argv[];
{
    long mysock;
    int i, number;

    if (argc != 2)
    {
	fprintf (stderr, "%s: incorrect parm count (%d), should be %d\n",
		argv[0], argc-1 , 1);
	exit (-1);
    }

    number = atoi (argv[1]);
    for (i=0; i<number; i++)
    {
	if (fork() == 0)
	{
	    if ((mysock = meet("Client" ,"Server")) < 0)
		printf("%s: error on meet, ret value = %d\n", argv[0], mysock);
	    else
		fprintf (stderr, "%s: Client %d ok\n", argv[0], i);
	    exit (0);
	}
    }
}
